/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class FinancialChartDescription extends XYChartDescription {
    constructor() {
        super();
        this.ig = 0;
        this.hv = false;
        this.ij = 0;
        this.h1 = false;
        this.i8 = 0;
        this.il = 0;
        this.io = 0;
        this.im = 0;
        this.ip = 0;
        this.jh = null;
        this.ji = null;
        this.jl = null;
        this.hx = false;
        this.jg = null;
        this.jj = null;
        this.hz = false;
        this.g9 = null;
        this.he = null;
        this.h0 = false;
        this.ii = 0;
        this.jk = null;
        this.jm = null;
        this.ha = null;
        this.hb = null;
        this.hc = null;
        this.hd = null;
        this.hh = null;
        this.hg = null;
        this.g8 = null;
        this.g6 = null;
        this.ik = 0;
        this.ih = 0;
        this.ie = 0;
        this.g7 = null;
        this.i4 = 0;
        this.id = 0;
        this.i7 = 0;
        this.i5 = 0;
        this.i3 = 0;
        this.i6 = 0;
        this.hf = null;
        this.g5 = null;
        this.hy = false;
        this.jn = null;
        this.iq = 0;
        this.hw = false;
        this.ia = new Date();
        this.h9 = new Date();
        this.jf = null;
    }
    get_type() {
        return "FinancialChart";
    }
    get leftMargin() {
        return this.ig;
    }
    set leftMargin(a) {
        this.ig = a;
        this.e("LeftMargin");
    }
    get isHorizontalZoomEnabled() {
        return this.hv;
    }
    set isHorizontalZoomEnabled(a) {
        this.hv = a;
        this.e("IsHorizontalZoomEnabled");
    }
    get toolbarHeight() {
        return this.ij;
    }
    set toolbarHeight(a) {
        this.ij = a;
        this.e("ToolbarHeight");
    }
    get yAxisIsLogarithmic() {
        return this.h1;
    }
    set yAxisIsLogarithmic(a) {
        this.h1 = a;
        this.e("YAxisIsLogarithmic");
    }
    get yAxisLogarithmBase() {
        return this.i8;
    }
    set yAxisLogarithmBase(a) {
        this.i8 = a;
        this.e("YAxisLogarithmBase");
    }
    get yAxisInterval() {
        return this.il;
    }
    set yAxisInterval(a) {
        this.il = a;
        this.e("YAxisInterval");
    }
    get yAxisMinimumValue() {
        return this.io;
    }
    set yAxisMinimumValue(a) {
        this.io = a;
        this.e("YAxisMinimumValue");
    }
    get yAxisMaximumValue() {
        return this.im;
    }
    set yAxisMaximumValue(a) {
        this.im = a;
        this.e("YAxisMaximumValue");
    }
    get yAxisMinorInterval() {
        return this.ip;
    }
    set yAxisMinorInterval(a) {
        this.ip = a;
        this.e("YAxisMinorInterval");
    }
    get volumeType() {
        return this.jh;
    }
    set volumeType(a) {
        this.jh = a;
        this.e("VolumeType");
    }
    get xAxisMode() {
        return this.ji;
    }
    set xAxisMode(a) {
        this.ji = a;
        this.e("XAxisMode");
    }
    get yAxisMode() {
        return this.jl;
    }
    set yAxisMode(a) {
        this.jl = a;
        this.e("YAxisMode");
    }
    get isToolbarVisible() {
        return this.hx;
    }
    set isToolbarVisible(a) {
        this.hx = a;
        this.e("IsToolbarVisible");
    }
    get chartType() {
        return this.jg;
    }
    set chartType(a) {
        this.jg = a;
        this.e("ChartType");
    }
    get yAxisLabelHorizontalAlignment() {
        return this.jj;
    }
    set yAxisLabelHorizontalAlignment(a) {
        this.jj = a;
        this.e("YAxisLabelHorizontalAlignment");
    }
    get isWindowSyncedToVisibleRange() {
        return this.hz;
    }
    set isWindowSyncedToVisibleRange(a) {
        this.hz = a;
        this.e("IsWindowSyncedToVisibleRange");
    }
    get indicatorTypes() {
        return this.g9;
    }
    set indicatorTypes(a) {
        this.g9 = a;
        this.e("IndicatorTypes");
    }
    get overlayTypes() {
        return this.he;
    }
    set overlayTypes(a) {
        this.he = a;
        this.e("OverlayTypes");
    }
    get yAxisAbbreviateLargeNumbers() {
        return this.h0;
    }
    set yAxisAbbreviateLargeNumbers(a) {
        this.h0 = a;
        this.e("YAxisAbbreviateLargeNumbers");
    }
    get resolution() {
        return this.ii;
    }
    set resolution(a) {
        this.ii = a;
        this.e("Resolution");
    }
    get yAxisLabelLocation() {
        return this.jk;
    }
    set yAxisLabelLocation(a) {
        this.jk = a;
        this.e("YAxisLabelLocation");
    }
    get zoomSliderType() {
        return this.jm;
    }
    set zoomSliderType(a) {
        this.jm = a;
        this.e("ZoomSliderType");
    }
    get negativeBrushes() {
        return this.ha;
    }
    set negativeBrushes(a) {
        this.ha = a;
        this.e("NegativeBrushes");
    }
    get negativeOutlines() {
        return this.hb;
    }
    set negativeOutlines(a) {
        this.hb = a;
        this.e("NegativeOutlines");
    }
    get overlayBrushes() {
        return this.hc;
    }
    set overlayBrushes(a) {
        this.hc = a;
        this.e("OverlayBrushes");
    }
    get overlayOutlines() {
        return this.hd;
    }
    set overlayOutlines(a) {
        this.hd = a;
        this.e("OverlayOutlines");
    }
    get volumeOutlines() {
        return this.hh;
    }
    set volumeOutlines(a) {
        this.hh = a;
        this.e("VolumeOutlines");
    }
    get volumeBrushes() {
        return this.hg;
    }
    set volumeBrushes(a) {
        this.hg = a;
        this.e("VolumeBrushes");
    }
    get indicatorNegativeBrushes() {
        return this.g8;
    }
    set indicatorNegativeBrushes(a) {
        this.g8 = a;
        this.e("IndicatorNegativeBrushes");
    }
    get indicatorBrushes() {
        return this.g6;
    }
    set indicatorBrushes(a) {
        this.g6 = a;
        this.e("IndicatorBrushes");
    }
    get volumeThickness() {
        return this.ik;
    }
    set volumeThickness(a) {
        this.ik = a;
        this.e("VolumeThickness");
    }
    get overlayThickness() {
        return this.ih;
    }
    set overlayThickness(a) {
        this.ih = a;
        this.e("OverlayThickness");
    }
    get indicatorThickness() {
        return this.ie;
    }
    set indicatorThickness(a) {
        this.ie = a;
        this.e("IndicatorThickness");
    }
    get indicatorDisplayTypes() {
        return this.g7;
    }
    set indicatorDisplayTypes(a) {
        this.g7 = a;
        this.e("IndicatorDisplayTypes");
    }
    get indicatorPeriod() {
        return this.i4;
    }
    set indicatorPeriod(a) {
        this.i4 = a;
        this.e("IndicatorPeriod");
    }
    get indicatorMultiplier() {
        return this.id;
    }
    set indicatorMultiplier(a) {
        this.id = a;
        this.e("IndicatorMultiplier");
    }
    get indicatorSmoothingPeriod() {
        return this.i7;
    }
    set indicatorSmoothingPeriod(a) {
        this.i7 = a;
        this.e("IndicatorSmoothingPeriod");
    }
    get indicatorShortPeriod() {
        return this.i5;
    }
    set indicatorShortPeriod(a) {
        this.i5 = a;
        this.e("IndicatorShortPeriod");
    }
    get indicatorLongPeriod() {
        return this.i3;
    }
    set indicatorLongPeriod(a) {
        this.i3 = a;
        this.e("IndicatorLongPeriod");
    }
    get indicatorSignalPeriod() {
        return this.i6;
    }
    set indicatorSignalPeriod(a) {
        this.i6 = a;
        this.e("IndicatorSignalPeriod");
    }
    get rangeSelectorOptions() {
        return this.hf;
    }
    set rangeSelectorOptions(a) {
        this.hf = a;
        this.e("RangeSelectorOptions");
    }
    get customIndicatorNames() {
        return this.g5;
    }
    set customIndicatorNames(a) {
        this.g5 = a;
        this.e("CustomIndicatorNames");
    }
    get isVerticalZoomEnabled() {
        return this.hy;
    }
    set isVerticalZoomEnabled(a) {
        this.hy = a;
        this.e("IsVerticalZoomEnabled");
    }
    get zoomSliderXAxisMajorStroke() {
        return this.jn;
    }
    set zoomSliderXAxisMajorStroke(a) {
        this.jn = a;
        this.e("ZoomSliderXAxisMajorStroke");
    }
    get zoomSliderXAxisMajorStrokeThickness() {
        return this.iq;
    }
    set zoomSliderXAxisMajorStrokeThickness(a) {
        this.iq = a;
        this.e("ZoomSliderXAxisMajorStrokeThickness");
    }
    get isLegendVisible() {
        return this.hw;
    }
    set isLegendVisible(a) {
        this.hw = a;
        this.e("IsLegendVisible");
    }
    get xAxisMinimumValue() {
        return this.ia;
    }
    set xAxisMinimumValue(a) {
        this.ia = a;
        this.e("XAxisMinimumValue");
    }
    get xAxisMaximumValue() {
        return this.h9;
    }
    set xAxisMaximumValue(a) {
        this.h9 = a;
        this.e("XAxisMaximumValue");
    }
    get applyCustomIndicatorsRef() {
        return this.jf;
    }
    set applyCustomIndicatorsRef(a) {
        this.jf = a;
        this.e("ApplyCustomIndicatorsRef");
    }
}
FinancialChartDescription.$t = markType(FinancialChartDescription, 'FinancialChartDescription', XYChartDescription.$);
